Fehler im Install-Scrip der Versionen 2.0.x?

Please report bugs here!

Moderator: Thorsten

Post Reply
HCM
Posts: 11
Joined: Thu Jul 19, 2007 9:51 pm
Location: Pörtschach / Österreich
Contact:

Fehler im Install-Scrip der Versionen 2.0.x?

Post by HCM » Sat Jul 21, 2007 6:51 pm

Hallo Thorsten!

Habe heute bereits zum Xten-mal versucht, phpMyFAQ Version 2.0.2 zu installieren.
Leider erhielt ich immer wieder die Fehlermeldung
"The connection to the database server could not be established.

The error message of the database server: "
und dann steht da leider keine error message....

Auch der Versuch Version 2.0.1 zu installieren, endete mit dem selben Ergenbis.

Daraufhin habe ich die alte Version 1.6.12 installiert und per Update-Script die neue Version installiert.
Dieser Versuch hat funktioniert - aber ich habe jetzt leider nur die "basic" Installation am Rechner.

Ich vermute daher einen Fehler im Install-Script der Versionen 2.0.x.
Anmerkung:

Habe als MySQL Server immer localhost angegeben - aber es wurden keine Tabellen in der Datenbank angelegt.

Mit freundlichen Grüssen aus Kärnten,

Herbert

stylus740
Posts: 64
Joined: Sat Apr 01, 2006 6:29 pm

Re: Fehler im Install-Scrip der Versionen 2.0.x?

Post by stylus740 » Sun Jul 22, 2007 8:43 am

Moin,
HCM wrote: Habe als MySQL Server immer localhost angegeben - aber es wurden keine Tabellen in der Datenbank angelegt.
Obs daran nun liegen kann, weiss ich nicht, aber den Localhost spezifiziere ich nie mit dem Wort 'localhost', sondern immer mit der IP: '127.0.0.1'

Bye

HCM
Posts: 11
Joined: Thu Jul 19, 2007 9:51 pm
Location: Pörtschach / Österreich
Contact:

Mit "localhost" und der Version 1.6.12 hat es ja f

Post by HCM » Sun Jul 22, 2007 1:22 pm

Hallo Stylus740!

Danke für Deine Antwort - aber mit "localhost" installiere ich immer Scripte und auch bei der Installation der Version 1.6.12 habe ich "Localhost" als DB-Server angegeben.

Herbert

Thorsten
Posts: 14759
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Post by Thorsten » Sun Jul 22, 2007 2:41 pm

Hi,

die DB-Abstraktion der 2.0 ist eigentlich identisch mit der 1.6. Aber ohne Fehlermeldung kann ich dir auch nicht sagen, was da passiert... welchen DB-Server nutzt du denn?

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

HCM
Posts: 11
Joined: Thu Jul 19, 2007 9:51 pm
Location: Pörtschach / Österreich
Contact:

Post by HCM » Mon Jul 23, 2007 1:49 pm

Hallo Thorsten!

Leider habe ich bei der Installation keine Fehlermeldung erhalten.
Wie ich ja schon geschrieben habe, ist mir die Installation danach ja über dem Umweg über das Upate geglückt - aber wie viele User geben schon nach der ersten Fehlinstallation auf? (...wäre schade - Deine Software ist echt gelungen!)
Aber vielleicht helfen Dir zur Analyse des Problems folgende Informationen weiter:

http://www.automaten.cc/info.php

localhost

* Server Version: 5.0.32-Debian_7etch1~bpo.1-log
* Protokoll-Version: 10
* Server: Localhost via UNIX socket
* MySQL-Zeichensatz: UTF-8 Unicode (utf8)

* Neue Datenbank anlegen: Keine Rechte

Schönen Tag!

Herbert

Thorsten
Posts: 14759
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Post by Thorsten » Mon Jul 23, 2007 6:08 pm

Hi,
Server: Localhost via UNIX socket
das ist das Problem, wo gibst du denn die Verbindung über den Socket an?

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

HCM
Posts: 11
Joined: Thu Jul 19, 2007 9:51 pm
Location: Pörtschach / Österreich
Contact:

Post by HCM » Mon Jul 23, 2007 8:18 pm

Hallo!
das ist das Problem, wo gibst du denn die Verbindung über den Socket an?
Gar nicht...ich weiß nicht einmal was ein UNIX-Socket ist....:-(
Ich habe die Angaben aus phpMyAdmin kopiert - HostEurope.de liefert außer den Zugangsdaten und der Serverbezeichnung "localhost" keine weiteren Angaben zum System.
Zitat aus der Config-Oberfläche:
Über diese Zugriffskontrolle können Sie festlegen, ob die Datenbank nur intern (vom Webserver selbst) oder extern (über das Internet) verfügbar sein soll. Letzteres bietet sich für die Administration der Datenbank mit Programmen von Drittherstellern an. Der Zugriff über phpMyAdmin erfordert keine Freischaltung. Wenn Sie sich nicht sicher sind, wählen Sie "nur intern".
...also habe ich die Einstellung auf "intern" belassen.

Aber warum hat dann die Installation der Version 1.6.x funktioniert?

Ciao,

Herbert

Post Reply